%global pkg_name        Thread-Queue-Any
%global pkg_version     0.09
%global rpm_pkg_version 0.09
%global rpm_pkg_release 1.n0i.2

Summary:       Thread-safe queues for any data-structure
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/E/EL/ELIZABETH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(:WITH_ITHREADS)
BuildRequires: perl(:WITH_THREADS)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Thread::Queue)
BuildRequires: perl(Storable)


%description
A queue, as implemented by Thread::Queue::Any is a thread-safe 
data structure that inherits from Thread::Queue.  But unlike the
standard Thread::Queue, developers can pass (a reference to) any
data structure to the queue.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGELOG README TODO VERSION


%changelog
* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.2
- version 0.09

* Mon Aug 27 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.08
